Skip to main content
POST
/
advertisers
/
{advertiserId}
/
testability
Assess testability
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/buyer/advertisers/{advertiserId}/testability \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "budget": 1,
  "weeklyBudget": 1,
  "flightWeeks": 4503599627370496,
  "testGeos": [
    "<string>"
  ],
  "controlGeos": [
    "<string>"
  ]
}
'
{
  "data": null,
  "error": {
    "code": "<string>",
    "message": "<string>",
    "field": "<string>",
    "details": {}
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

advertiserId
string
required

Unique identifier for the advertiser

Minimum string length: 1
Example:

"12345"

Body

application/json
budget
number
required
Required range: x >= 0
weeklyBudget
number
required
Required range: x >= 0
flightWeeks
integer
required
Required range: 1 <= x <= 9007199254740991
testGeos
string[]
required
Minimum array length: 1
controlGeos
string[]
required
Minimum array length: 1
hypothesisIds
string<uuid>[]
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Assess testability